Package org.springframework.security.core.session

# Class ReactiveSessionInformation

java.lang.Object
org.springframework.security.core.session.ReactiveSessionInformation

All Implemented Interfaces:
  `Serializable`

public class ReactiveSessionInformation extends Object implements Serializable

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`ReactiveSessionInformation(Object principal, String sessionId, Instant lastAccessTime)`

## Method Summary

Modifier and Type
Method
Description
`Instant`
`getLastAccessTime()`
`Object`
`getPrincipal()`
`String`
`getSessionId()`
`reactor.core.publisher.Mono<Void>`
`invalidate()`
`boolean`
`isExpired()`
`reactor.core.publisher.Mono<Void>`
`refreshLastRequest()`
`void`
`setLastAccessTime(Instant lastAccessTime)`
`ReactiveSessionInformation`
`withSessionId(String sessionId)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ReactiveSessionInformation

public ReactiveSessionInformation(Object principal, String sessionId, Instant lastAccessTime)

## Method Details

### withSessionId

public ReactiveSessionInformation withSessionId(String sessionId)

### invalidate

public reactor.core.publisher.Mono<Void> invalidate()

### refreshLastRequest

public reactor.core.publisher.Mono<Void> refreshLastRequest()

### getLastAccessTime

public Instant getLastAccessTime()

### getPrincipal

public Object getPrincipal()

### getSessionId

public String getSessionId()

### isExpired

public boolean isExpired()

### setLastAccessTime

public void setLastAccessTime(Instant lastAccessTime)